## qmtpssh 0.1

=== Makefile ===
#
#    qmtpssh - transfer mail over SSH tunnels
#    Copyright (C) 1999 Tommi Virtanen <tv@havoc.fi>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SOURCE=stdinxout.c
BIN=stdinxout
SCRIPT=qmtppull qmtppush
MAN=qmtppull.1 qmtppush.1 stdinxout.1
PREFIX=/usr
MANDIR=$(DESTDIR)$(PREFIX)/man/man1
BINDIR=$(DESTDIR)$(PREFIX)/bin

all: $(BIN) $(MAN)

%.o: %.c
	$(CC) $(CFLAGS) -c $<

%.1: %.pod
	pod2man --center=' ' --release=' ' $< >$@.tmp
	mv $@.tmp $@

install: all
	test -d $(MANDIR) || install -d -m0755 $(MANDIR)
	test -d $(BINDIR) || install -d -m0755 $(BINDIR)
	install -m0644 $(MAN) $(MANDIR)
	install -m0755 $(BIN) $(SCRIPT) $(BINDIR)

stdinxout: stdinxout.o

clean:
	-rm -f $(SOURCE:%.c=%.o) $(BIN) $(MAN)

lint: $(SOURCE)
	for a in $^; do \
		lclint +posixstrictlib \
			-globs \
			-observertrans \
			-exitarg \
			-nullstate $$a; \
	done

.PHONY: lint
