=== debian/changelog ===
qmtpssh (0.1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Fri,  9 Jul 1999 01:49:24 +0300

Local variables:
mode: debian-changelog
add-log-mailing-address: "tv@debian.org"
End:
