=== debian/control ===
Source: qmtpssh
Section: contrib/mail
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 2.4.0.0

Package: qmtpssh
Architecture: any
Depends: ${shlibs:Depends}
Recommends: qmail, ssh, serialmail
Description: transfer mail over SSH tunnels
 stdinxout is a simple utility that cross-connects two programs' stdin
 and stdout. qmtppush and qmtppull use stdinxout to transfer mail to
 and from remote sites. The sending end should store the mail in a
 Maildir and have serialmail installed, and the receiving end must
 have qmail-qmtpd.
