=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	= $(shell perl -e 'print <> =~ /^(.*) \(.*\)/' debian/changelog)

build: build-stamp
build-stamp: debian/control
	test -e debian/control
	$(MAKE) 
	touch build-stamp

clean: debian/control
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f build-stamp install-stamp
	make clean
	rm -rf debian/substvars debian/files debian/tmp

binary-indep: build

binary-arch: build debian/control
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -rf debian/substvars debian/tmp
	make install DESTDIR="`pwd`/debian/tmp"
	install -d --mode=0755 "debian/tmp/usr/doc/$(PACKAGE)"
	install --mode=0644 debian/copyright \
		README TODO \
		"debian/tmp/usr/doc/$(PACKAGE)"
	gzip -9 debian/tmp/usr/man/man1/*
	install --mode=0644 debian/changelog \
		"debian/tmp/usr/doc/$(PACKAGE)/changelog"
	gzip -9 debian/tmp/usr/doc/"$(PACKAGE)"/changelog
	strip --remove-section=.comment --remove-section=.note \
		debian/tmp/usr/bin/stdinxout
	install -d --mode=0755 debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/bin/stdinxout
	dpkg-gencontrol
	dpkg --build debian/tmp ..

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
